
function actor_plopper( act, act_count, act_length, time_delay, posx1, posx2, posy1, posy2, rotate, siz, path )
	if act_count > 0.0 then
		local posx = 0.0
		local posy = 0.0
		local posz = 0.0
		local hue = 0.0
		local rot = rotate
		local unique_name = nil
		local launch_delay = 0.0
		local launch_delay_inc = time_delay / act_count

		if act == "chunk" then
			act = current_chunk
		end

		if act == "turret-base" then
			posx = c_zrand(posx1,posx2)
			posy = c_zrand(posy1,posy2)
			hue = c_zrand(-25.0,25.0)
			if rotate == -90 then
				rot = c_zrand(-180.0,180.0)
			end
			turret_base_plop( act, posx, posy, posz, rot, siz, hue, 0.0, path )
		else
			local turret_emerge_actor_size = 90.0

			if act == "turret-1_sma" or act == "turret-1_med" or act == "turret-1_big" then
				if path ~= nil then
					unique_name = format( "turret-base_%s", path )
					path = nil
				end
				if act == "turret-1_sma" then
					turret_emerge_actor_size = 70.0
				end
				if act == "turret-1_big" then
					turret_emerge_actor_size = 110.0
				end
			end

			for c = 1, act_count, 1 do
				posx = c_zrand(posx1,posx2)
				posy = c_zrand(posy1,posy2)
				hue = c_zrand(-25.0,25.0)
				if rotate == -90 then
					rot = c_zrand(-180.0,180.0)
				end

				if act == "geopus" then
					geopus_actor_plop( act, act_length, posx, posy, posz, rot, siz, hue, path )
				elseif act == "worm_chain_split" then
					worm_chain_split_plop( act, act_length, posx, posy, posz, rot, siz, hue, path )
				else

					local apo = ACTOR_PreLaunch( act )
					apo:setall( posy, posz, -posx, rot, siz, hue, launch_delay, path )
					apo:launch()

					if unique_name ~= nil then
--						c_print( unique_name )
						c_link_health_to_parent( unique_name )
					end

					if act == "turret-1_sma" or act == "turret-1_med" or act == "turret-1_big" then
						apo = ACTOR_PreLaunch( turret_emerge_actor_name )
						apo:setall( posy, posz, -posx, rot, turret_emerge_actor_size, hue, launch_delay )
						apo:launch()
					elseif act == "powerpimp" then
						apo = ACTOR_PreLaunch( powerpimp_emerge_actor_name )
						apo:setall( posy, posz, -posx, rot, siz, hue, launch_delay )
						apo:launch()
					end
				end

				launch_delay = launch_delay + launch_delay_inc
			end
		end
	end
end

